window.isApp = window.navigator.userAgent.indexOf('com.pingan.yanglaoxian') !== -1 || !!window.YLBridge;
window.isIos = /iphone|ipad/i.test(navigator.userAgent);
window.isAuth = location.href.indexOf('auth=') !== -1;
// 撤销隐私授权
window.isCancelAuth = window.isApp && location.href.indexOf('cancelAuthFlag=Y') !== -1;
window.isNativeLocal = !/^http/i.test(location.href);
window.back = function () {
  window.YLBridge && window.YLBridge.call('js_native_last', {}, function () {});
};
// 初始化toobar 引入埋点
function init() {
  if (isApp) {
    //页面标题
    window.YLBridge.call(
      'js_h5_toolbar',
      {
        title: '隐私政策',
        leftBtn: isAuth ? (isIos ? 'none' : '') : translate('&#xe614;'),
        hasbar: 'yes',
      },
      function () {}
    );
  } else {
    if (window.location.host == 'home.pingan.com.cn') {
      window.pingan_sdk_appid = 'AD08B100C27265D8657DCF204906AB66';
    } else {
      window.pingan_sdk_appid = 'C5B05265BC63333D2000152A3006136A';
    }
    window.pingan_sdk_vn = '好福利H5';
    window.pingan_sdk_vc = '1.0.0';
    _appendJs('https://iobs02.pingan.com.cn/download/eits-access-dmz-prd/h5sdk_s_3.0.0.js', function () {});
  }
}
//页面埋点
function dataCollect(eventLabel) {
  var eventID = '隐私政策页面';
  if (window.SKAPP && window.SKAPP.onEvent) {
    window.SKAPP.onEvent(eventID, eventLabel || eventID, {});
  }
}
// 引入js
function _appendJs(url, callback) {
  var scr = document.createElement('script');
  scr.type = 'text/javascript';
  document.head.appendChild(scr);
  scr.src = url;
  callback &&
    scr.addEventListener(
      'load',
      function () {
        callback();
      },
      false
    );
}
// 转换图标字符
function translate(icon) {
  if (isIos) {
    var btn = icon.substring(3, 7); // &#xe614; -> e614
    var strl = String.fromCharCode(parseInt(btn, '16'));
    return encodeURIComponent(strl); // \ue614
  }
  return icon;
}
function banner_redirect(url) {
  //历史文档点击历史不开webview
  var notOpenWebview =
    url.indexOf('list.html') !== -1 && location.href.indexOf('index.html') === -1 && !window.isNativeLocal;
  if (isApp && !notOpenWebview) {
    window.YLBridge &&
      window.YLBridge.call(
        'js_open_webview',
        {
          useH5Title: 'Y',
          url: url,
          adType: '2',
          userLevel: '0',
          history: isIos ? 'N' : 'Y',
        },
        function () {}
      );
  } else {
    location.href = url;
  }
}
// 撤销隐私授权
function cancelAuth() {
  dataCollect('撤销隐私授权');
  window.YLBridge && window.YLBridge.call('js_cancel_privacy_auth', {}, function () {});
}

//事件注册
(function () {
  //锚点
  var goHashDOM = document.querySelector('#goHash');
  var cancelAuthDOM = document.querySelector('#cancelAuth');
  var hisDOM = document.querySelector('#history');
  var thirdSuppliesDOM = document.querySelectorAll('.thirdSupplies');
  var rcDOM = document.querySelectorAll('.replateCompany');
  var sdkDOM = document.querySelector('#sdk');
  goHashDOM &&
    goHashDOM.addEventListener('click', function (e) {
      var target = e.target;
      var dataid = target.dataset.id;
      if (target.tagName === 'LI' || !dataid) return;
      var dom = document.querySelector('#' + target.dataset.id);
      var top = dom.offsetTop;
      (document.scrollingElement || document.body).scrollTop = top;
    });
  //撤销授权
  cancelAuthDOM && cancelAuthDOM.addEventListener('click', cancelAuth);
  //查看历史存档
  hisDOM &&
    hisDOM.addEventListener('click', function () {
      dataCollect('查看旧版本存档');
      var origin = window.isNativeLocal ? 'https://home.pingan.com.cn' : location.origin;
      banner_redirect(origin + '/m/insurance_release/html/privacyPolicy/list.html');
    });
  // 查看第三方供应商
  thirdSuppliesDOM &&
    thirdSuppliesDOM.length &&
    [].forEach.call(thirdSuppliesDOM, function (d) {
      d.addEventListener('click', function () {
        dataCollect('查看第三方供应商');
        banner_redirect(
          'https://home.pingan.com.cn/quicksite/hfl/houtaizu/20220424/hce5963364b7c4fbb8cfde8d2eaab6a89.html?1650781672829'
        );
      });
    });
  // 查看关联公司列表
  rcDOM &&
    rcDOM.length &&
    [].forEach.call(rcDOM, function (d) {
      d.addEventListener('click', function () {
        dataCollect('查看关联公司列表');
        banner_redirect(
          'https://home.pingan.com.cn/quicksite/hfl/houtaizu/20221011/h0d2ca63e116d4a9784fb2fdde97da871.html'
        );
      });
    });
  // 查看sdk
  sdkDOM &&
    sdkDOM.addEventListener('click', function () {
      dataCollect('查看sdk');
      banner_redirect(
        'https://home.pingan.com.cn/quicksite/hfl/houtaizu/20220415/hebe120a519ff4369b8020247bec85425.html?1650781594230'
      );
    });
})();
